package org.jeecg.modules.pay.request.v3.labs.accbusifields;

/**
 * 单品信息，使用Json数组格式提交
 * 商品详情
 * 微信支付
 * 账户端业务信息域
 * 交易接口请求
 * 交易接口V3.0下支付类接口
 *
 * @author Mr丶xie
 * @version 1.0.0
 * @mail xielinke@lklink.cn
 */
public class WxPayGoodsDatailRequest {

    private WxPayGoodsDatailRequest() {
    }

    /**
     * 初始化单品信息
     *
     * @param goods_id   商品编码
     * @param goods_name 商品的实际名称
     * @param quantity   用户购买的数量
     * @param price      单位为：分。如果商户有优惠，需传输商户优惠后的单价
     */
    public WxPayGoodsDatailRequest(String goods_id, String goods_name, Integer quantity, Integer price) {
        this.goods_id = goods_id;
        this.goods_name = goods_name;
        this.quantity = quantity;
        this.price = price;
    }

    /**
     * 由半角的大小写字母、数字、中划线、下划线中的一种或几种组成。如“商品编码”
     */
    private String goods_id;

    /**
     * 微信支付定义的统一商品编号
     */
    private String wxpay_goods_id;

    /**
     * 商品的实际名称
     */
    private String goods_name;

    /**
     * 用户购买的数量
     */
    private Integer quantity;

    /**
     * 单位为：分。如果商户有优惠，需传输商户优惠后的单价
     */
    private Integer price;

    public String getGoods_id() {
        return goods_id;
    }

    public void setGoods_id(String goods_id) {
        this.goods_id = goods_id;
    }

    public String getWxpay_goods_id() {
        return wxpay_goods_id;
    }

    public void setWxpay_goods_id(String wxpay_goods_id) {
        this.wxpay_goods_id = wxpay_goods_id;
    }

    public String getGoods_name() {
        return goods_name;
    }

    public void setGoods_name(String goods_name) {
        this.goods_name = goods_name;
    }

    public Integer getQuantity() {
        return quantity;
    }

    public void setQuantity(Integer quantity) {
        this.quantity = quantity;
    }

    public Integer getPrice() {
        return price;
    }

    public void setPrice(Integer price) {
        this.price = price;
    }
}
